public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-cpp/termcolor/
@ 2021-12-04  4:35 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2021-12-04  4:35 UTC (permalink / raw
  To: gentoo-commits

commit:     9214e7e9cc6ea662076a535f9eac9338b03429ed
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  4 04:34:28 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec  4 04:34:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9214e7e9

dev-cpp/termcolor: initial import

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-cpp/termcolor/Manifest               |  1 +
 dev-cpp/termcolor/metadata.xml           | 11 +++++++++++
 dev-cpp/termcolor/termcolor-2.0.0.ebuild | 25 +++++++++++++++++++++++++
 3 files changed, 37 insertions(+)

diff --git a/dev-cpp/termcolor/Manifest b/dev-cpp/termcolor/Manifest
new file mode 100644
index 000000000000..49924bd31aaa
--- /dev/null
+++ b/dev-cpp/termcolor/Manifest
@@ -0,0 +1 @@
+DIST termcolor-2.0.0.tar.gz 88582 BLAKE2B 3e7a4a99af3586fff103d0de0601e019881745e2921b4750dbf476439138a71120b6513a287c5fe26fd96a9c6115cb82295810d9bea11d0992f48fcd5d0a8d18 SHA512 72dead77fb9f3ff79432b1659b57c3d961a57b46305937acd0c221f5abb016f609dfaf7a9bf508bd7a073338ee604cf55f9915c8e8a76ddfaf6c68bc031e37f9

diff --git a/dev-cpp/termcolor/metadata.xml b/dev-cpp/termcolor/metadata.xml
new file mode 100644
index 000000000000..07725c8b4ff7
--- /dev/null
+++ b/dev-cpp/termcolor/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>sam@gentoo.org</email>
+		<name>Sam James</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">ikalnytskyi/termcolor</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-cpp/termcolor/termcolor-2.0.0.ebuild b/dev-cpp/termcolor/termcolor-2.0.0.ebuild
new file mode 100644
index 000000000000..2b522f5ede05
--- /dev/null
+++ b/dev-cpp/termcolor/termcolor-2.0.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="A header-only C++ library for printing colored messages to the terminal"
+HOMEPAGE="https://github.com/ikalnytskyi/termcolor https://termcolor.readthedocs.io"
+SRC_URI="https://github.com/ikalnytskyi/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+# It's just a visual test, nothing automated / no way to detect failure in an ebuild.
+RESTRICT="!test? ( test ) test"
+
+src_configure() {
+	local mycmakeargs=(
+		-DTERMCOLOR_TESTS=$(usex test)
+	)
+
+	cmake_src_configure
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-cpp/termcolor/
@ 2021-12-09  1:54 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2021-12-09  1:54 UTC (permalink / raw
  To: gentoo-commits

commit:     f1cb7dffe54bdde4efe8c2a9356121eaf00f7d0c
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Wed Dec  8 14:38:55 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Dec  9 01:54:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1cb7dff

dev-cpp/termcolor: Change LICENSE to BSD.

Evidence:
- https://github.com/ikalnytskyi/termcolor/blob/v2.0.0/include/termcolor/termcolor.hpp#L9
- https://github.com/ikalnytskyi/termcolor/blob/v2.0.0/LICENSE
- https://termcolor.readthedocs.io/

The LICENSE file has a slight modification in the preamble to explicitly
include documentation.

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>
Closes: https://github.com/gentoo/gentoo/pull/23225
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-cpp/termcolor/termcolor-2.0.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-cpp/termcolor/termcolor-2.0.0.ebuild b/dev-cpp/termcolor/termcolor-2.0.0.ebuild
index 2b522f5ede05..358a66030980 100644
--- a/dev-cpp/termcolor/termcolor-2.0.0.ebuild
+++ b/dev-cpp/termcolor/termcolor-2.0.0.ebuild
@@ -9,7 +9,7 @@ DESCRIPTION="A header-only C++ library for printing colored messages to the term
 HOMEPAGE="https://github.com/ikalnytskyi/termcolor https://termcolor.readthedocs.io"
 SRC_URI="https://github.com/ikalnytskyi/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
-LICENSE="MIT"
+LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64"
 IUSE="test"


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-cpp/termcolor/
@ 2021-12-15  0:13 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2021-12-15  0:13 UTC (permalink / raw
  To: gentoo-commits

commit:     7f1ec02c2c45b986bf0e15c513984b4416bada4a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 15 00:06:51 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Dec 15 00:06:51 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f1ec02c

dev-cpp/termcolor: add src_test (still disabled)

Still can't detect failure automatically but noticed that the ::guru
version (before it was removed) defined src_test so.. why not?

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-cpp/termcolor/termcolor-2.0.0.ebuild | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dev-cpp/termcolor/termcolor-2.0.0.ebuild b/dev-cpp/termcolor/termcolor-2.0.0.ebuild
index 358a66030980..34e39e788868 100644
--- a/dev-cpp/termcolor/termcolor-2.0.0.ebuild
+++ b/dev-cpp/termcolor/termcolor-2.0.0.ebuild
@@ -23,3 +23,7 @@ src_configure() {
 
 	cmake_src_configure
 }
+
+src_test() {
+	"${BUILD_DIR}"/test_termcolor || die
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-cpp/termcolor/
@ 2022-05-17 23:31 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2022-05-17 23:31 UTC (permalink / raw
  To: gentoo-commits

commit:     42d845c4b4db3e1aead5721ae2d857c8e0fb2ee2
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue May 17 23:31:42 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 17 23:31:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42d845c4

dev-cpp/termcolor: add 2.1.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-cpp/termcolor/Manifest               |  1 +
 dev-cpp/termcolor/termcolor-2.1.0.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-cpp/termcolor/Manifest b/dev-cpp/termcolor/Manifest
index 49924bd31aaa..a52fc8290f29 100644
--- a/dev-cpp/termcolor/Manifest
+++ b/dev-cpp/termcolor/Manifest
@@ -1 +1,2 @@
 DIST termcolor-2.0.0.tar.gz 88582 BLAKE2B 3e7a4a99af3586fff103d0de0601e019881745e2921b4750dbf476439138a71120b6513a287c5fe26fd96a9c6115cb82295810d9bea11d0992f48fcd5d0a8d18 SHA512 72dead77fb9f3ff79432b1659b57c3d961a57b46305937acd0c221f5abb016f609dfaf7a9bf508bd7a073338ee604cf55f9915c8e8a76ddfaf6c68bc031e37f9
+DIST termcolor-2.1.0.tar.gz 89041 BLAKE2B 1b3681dcd7dde394737bdc02e8a8ae10c61adfddbb1506e7254c27636a9045bc17ebe45801ecf813c3fc6b3a4bb3ea90bc6246e651105fab2e42b0807fa74339 SHA512 668853a93e1208a08a4ea9ac8db2d9c615cefd0325c35402b767e0b1bf373589507b8eb7685babd5801c1e4f2533db6f4eabfedde365737a4c7c069f00f536d8

diff --git a/dev-cpp/termcolor/termcolor-2.1.0.ebuild b/dev-cpp/termcolor/termcolor-2.1.0.ebuild
new file mode 100644
index 000000000000..62b3a7572734
--- /dev/null
+++ b/dev-cpp/termcolor/termcolor-2.1.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="A header-only C++ library for printing colored messages to the terminal"
+HOMEPAGE="https://github.com/ikalnytskyi/termcolor https://termcolor.readthedocs.io"
+SRC_URI="https://github.com/ikalnytskyi/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+# It's just a visual test, nothing automated / no way to detect failure in an ebuild.
+RESTRICT="!test? ( test ) test"
+
+src_configure() {
+	local mycmakeargs=(
+		-DTERMCOLOR_TESTS=$(usex test)
+	)
+
+	cmake_src_configure
+}
+
+src_test() {
+	"${BUILD_DIR}"/test_termcolor || die
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-cpp/termcolor/
@ 2022-07-26  4:26 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2022-07-26  4:26 UTC (permalink / raw
  To: gentoo-commits

commit:     b95e94b0b3aff1a043d63cceeda59e02e33696f3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 26 04:18:42 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jul 26 04:25:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b95e94b0

dev-cpp/termcolor: drop 2.0.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-cpp/termcolor/Manifest               |  1 -
 dev-cpp/termcolor/termcolor-2.0.0.ebuild | 29 -----------------------------
 2 files changed, 30 deletions(-)

diff --git a/dev-cpp/termcolor/Manifest b/dev-cpp/termcolor/Manifest
index a52fc8290f29..a84d57d1d1c6 100644
--- a/dev-cpp/termcolor/Manifest
+++ b/dev-cpp/termcolor/Manifest
@@ -1,2 +1 @@
-DIST termcolor-2.0.0.tar.gz 88582 BLAKE2B 3e7a4a99af3586fff103d0de0601e019881745e2921b4750dbf476439138a71120b6513a287c5fe26fd96a9c6115cb82295810d9bea11d0992f48fcd5d0a8d18 SHA512 72dead77fb9f3ff79432b1659b57c3d961a57b46305937acd0c221f5abb016f609dfaf7a9bf508bd7a073338ee604cf55f9915c8e8a76ddfaf6c68bc031e37f9
 DIST termcolor-2.1.0.tar.gz 89041 BLAKE2B 1b3681dcd7dde394737bdc02e8a8ae10c61adfddbb1506e7254c27636a9045bc17ebe45801ecf813c3fc6b3a4bb3ea90bc6246e651105fab2e42b0807fa74339 SHA512 668853a93e1208a08a4ea9ac8db2d9c615cefd0325c35402b767e0b1bf373589507b8eb7685babd5801c1e4f2533db6f4eabfedde365737a4c7c069f00f536d8

diff --git a/dev-cpp/termcolor/termcolor-2.0.0.ebuild b/dev-cpp/termcolor/termcolor-2.0.0.ebuild
deleted file mode 100644
index 34e39e788868..000000000000
--- a/dev-cpp/termcolor/termcolor-2.0.0.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 2020-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake
-
-DESCRIPTION="A header-only C++ library for printing colored messages to the terminal"
-HOMEPAGE="https://github.com/ikalnytskyi/termcolor https://termcolor.readthedocs.io"
-SRC_URI="https://github.com/ikalnytskyi/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-# It's just a visual test, nothing automated / no way to detect failure in an ebuild.
-RESTRICT="!test? ( test ) test"
-
-src_configure() {
-	local mycmakeargs=(
-		-DTERMCOLOR_TESTS=$(usex test)
-	)
-
-	cmake_src_configure
-}
-
-src_test() {
-	"${BUILD_DIR}"/test_termcolor || die
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2022-07-26  4:26 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-05-17 23:31 [gentoo-commits] repo/gentoo:master commit in: dev-cpp/termcolor/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2022-07-26  4:26 Sam James
2021-12-15  0:13 Sam James
2021-12-09  1:54 Sam James
2021-12-04  4:35 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox